Subject: Re: [Fwd: Re: Darwin Day 2006: a chance for science education]

From: [email-masked]
Date: Tue, 3 Jan 2006 15:14:57 EST

Sounds good to me if you can find  and email address for CEP -- to bad  he 
didn't send the name and emails of the person to contact. rjs
 
In a message dated 1/2/06 9:29:11 PM Pacific Standard Time,  
[email-masked] writes:

I didn't  see the larger organization in our list of science editors.  Maybe 
it  would justify a snail mail or telephone approach, after looking it up 
(Google  again).

- David

-------- Original Message  --------
Subject:     Re: Darwin Day 2006: a chance for  science education
Date:     Mon, 2 Jan 2006 23:51:00 -0500  (EST)
From:     Stan Sandler _<[email-masked]>_ (mailto:[email-masked]) 
To:  Dr.R.Stephens _<[email-masked]>_ 
(mailto:[email-masked]) 

Dear  Dr. Stephens:
I suggest you contact my sister publication of the American  Institute of 
Chemical Engineers Chemical Engineering Progress (or CEP). It has  a circulation 
of more than 10 times that of the AIChE Journal. Further, the  Journal is an 
archival research publication with a small circulation while CEP  is 
distributed to all members and contains news and current interest articles,  as well as 
practical article.
S. I. Sandler 

---- Original message  ----
> Date: Tue, 03 Jan 2006 03:57:03  +0000 From: "Dr.R.Stephens"
> _<[email-masked]>_ 
(mailto:[email-masked])   Subject: Darwin Day 2006: a
> chance for science education To: [email-masked] 
(mailto:[email-masked]) 
> Darwin Day Celebration